2018-08-16 18:20 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002185FSSCPtablespublic2010-04-20 00:37
ReporterThe_E 
Assigned ToGoober5000 
PriorityimmediateSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.12 RC2 
Target VersionFixed in Version 
Summary0002185: Retail weapons.tbl parsing BROKEN after commit 6067
DescriptionLoading retail data fails with a recent (post-revision 6067) trunk build, with the following error:

weapons.tbl(line 887:
Error: Required token = [#End] or [$Name:], found [BeamSound: 115 ]
in weapon: @Targeting Laser
.

ntdll.dll! ZwWaitForSingleObject + 21 bytes
kernel32.dll! WaitForSingleObjectEx + 67 bytes
kernel32.dll! WaitForSingleObject + 18 bytes
fs2_open_3_6_13d.exe! SCP_DumpStack + 354 bytes
fs2_open_3_6_13d.exe! Error + 229 bytes
fs2_open_3_6_13d.exe! error_display + 427 bytes
fs2_open_3_6_13d.exe! required_string_either + 240 bytes
fs2_open_3_6_13d.exe! parse_weaponstbl + 150 bytes
fs2_open_3_6_13d.exe! weapon_init + 79 bytes
fs2_open_3_6_13d.exe! game_init + 1812 bytes
fs2_open_3_6_13d.exe! game_main + 519 bytes
fs2_open_3_6_13d.exe! WinMain + 330 bytes
fs2_open_3_6_13d.exe! __tmainCRTStartup + 322 bytes
fs2_open_3_6_13d.exe! WinMainCRTStartup + 15 bytes
kernel32.dll! BaseThreadInitThunk + 18 bytes
ntdll.dll! RtlInitializeExceptionChain + 99 bytes
ntdll.dll! RtlInitializeExceptionChain + 54 bytes

Testing with a pre-6067 build yields no such error.
To illustrate the issue, compare the two attached debug logs, especially at around line 8028 for both logs (Yes, they were both generated with +parse, so beware). The post-6067 build seems to see a 0 where there was none before.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0011896

Goober5000 (administrator)

Fixed in 6070. I was careless. :sigh:
+Notes

-Issue History
Date Modified Username Field Change
2010-04-19 14:50 The_E New Issue
2010-04-19 14:50 The_E File Added: fs2_open pre 6067.log
2010-04-19 14:51 The_E File Added: fs2_open post 6067.log
2010-04-19 14:54 The_E Status new => assigned
2010-04-19 14:54 The_E Assigned To => Goober5000
2010-04-20 00:37 Goober5000 Note Added: 0011896
2010-04-20 00:37 Goober5000 Status assigned => resolved
2010-04-20 00:37 Goober5000 Resolution open => fixed
2010-04-20 00:37 Goober5000 Fixed in Version => 3.6.12
2010-04-20 00:37 Goober5000 Fixed in Version 3.6.12 =>
+Issue History